Subject: Re: RFC: possible NAPI improvements to reduce interrupt rates for low traffic rates

From: Jason Lunz <[email-masked]>
Date: Fri, 7 Sep 2007 16:20:47 -0500

In gmane.linux.network, you wrote:
> But the CPU has done more work. The flood ping will always show 
> increased CPU with these changes because the driver always stays in the 
> NAPI poll list. For typical LAN traffic, the average CPU usage doesn't 
> increase as much, though more measurements would be useful.

I'd be particularly interested to see what happens to your latency when
other apps are hogging the cpu. I assume from your description that your
cpu is mostly free to schedule the niced softirqd for the device polling
duration, but this won't always be the case. If other tasks are running
at high priority, it could be nearly a full jiffy before softirqd gets
to check the poll list again and the latency introduced could be much
higher than you've yet measured.

Jason